import request from '@/libs/axios.js';

export const code2Session = params => {
  return request({
    url: 'code2Session',
    data: params,
    method: 'get'
  }).then(res => res.data);
};
export const login = params => {
  return request({
    url: `loginVerify`,
    data: params,
    method: 'post',
  }).then(res => res.data);
};
export const logout = params => {
  return request({
    url: `logout`,
    data: params,
    method: 'get'
  }).then(res => res.data);
};

// 验证是否登录过
export const checkLogin = () => {
  let token = uni.getStorageSync('token')
  if (token&&token!='') {
    return request({
      url: `checkLogin`,
      method: 'get'
    }).then(res => res.data);
  } else {
    return new Promise(resolve => {
      resolve({
        status: '9001',
        message: '系统未登录'
      });
    });
  }
};

